summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Spencer <idlemoor@slackbuilds.org>2016-01-12 22:51:03 +0000
committer Robby Workman <rworkman@slackbuilds.org>2016-01-12 21:57:56 -0600
commit87da139fa5c4a735942b628c3736079674b282cb (patch)
treedf0af9e9643e4aeb3cb2ee8759f90ebfb6a4fd71
parente317365a29ba0e6801810fd526774a5b89d34273 (diff)
downloadslackbuilds-87da139fa5c4a735942b628c3736079674b282cb.tar.gz
slackbuilds-87da139fa5c4a735942b628c3736079674b282cb.tar.xz
ham/baudline: Fixed ARCH and PKGTYPE.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--ham/baudline/baudline.SlackBuild15
1 files changed, 8 insertions, 7 deletions
diff --git a/ham/baudline/baudline.SlackBuild b/ham/baudline/baudline.SlackBuild
index 562268d1bf..de6e581cca 100644
--- a/ham/baudline/baudline.SlackBuild
+++ b/ham/baudline/baudline.SlackBuild
@@ -25,9 +25,10 @@ VERSION=${VERSION:-1.08}
BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-case "$( uname -m )" in
- i?86) ARCH=x86 ;;
- x86_64) ARCH=x86_64 ;;
+case "${ARCH:-$(uname -m)}" in
+ i?86) SRCARCH=i686; ARCHDIR=x86 ;;
+ x86_64) SRCARCH=x86_64; ARCHDIR=x86_64 ;;
+ *) echo "$ARCH is not supported"; exit 1 ;;
esac
CWD=$(pwd)
@@ -40,9 +41,9 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM\_$VERSION\_linux_$ARCH.tar.gz
-cd $PRGNAM\_$VERSION\_linux_$ARCH
+rm -rf ${PRGNAM}_${VERSION}_linux_${ARCHDIR}
+tar -xvf $CWD/${PRGNAM}_${VERSION}_linux_${SRCARCH}.tar.gz
+cd ${PRGNAM}_${VERSION}_linux_${ARCHDIR}
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -80,4 +81,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG${PKGTYPE:-.tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}